{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "administrative": {
      "type": "boolean"
    },
    "apiVersion": {
      "type": "string"
    },
    "builtin": {
      "type": "boolean"
    },
    "clusterCreatorDefault": {
      "type": "boolean"
    },
    "context": {
      "enum": [
        "project",
        "cluster",
        ""
      ],
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "external": {
      "type": "boolean"
    },
    "externalRules": {
      "items": {
        "properties": {
          "apiGroups": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "nonResourceURLs": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "resourceNames": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "resources": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "verbs": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          }
        },
        "required": [
          "verbs"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "hidden": {
      "type": "boolean"
    },
    "kind": {
      "type": "string"
    },
    "locked": {
      "type": "boolean"
    },
    "metadata": {
      "type": "object"
    },
    "projectCreatorDefault": {
      "type": "boolean"
    },
    "roleTemplateNames": {
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "rules": {
      "items": {
        "properties": {
          "apiGroups": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "nonResourceURLs": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "resourceNames": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "resources": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          },
          "verbs": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "x-kubernetes-list-type": "atomic"
          }
        },
        "required": [
          "verbs"
        ],
        "type": "object"
      },
      "type": "array"
    }
  },
  "type": "object"
}
